Documentation
¶
Index ¶
- Constants
- type GetAllNamespaces
- type GetAllNamespacesHandler
- type GetAllNamespacesHandlerFunc
- type GetAllNamespacesInternalServerError
- func (o *GetAllNamespacesInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *GetAllNamespacesInternalServerError) WithPayload(payload *models.ErrorMessage) *GetAllNamespacesInternalServerError
- func (o *GetAllNamespacesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetAllNamespacesOK
- type GetAllNamespacesParams
- type GetAllNamespacesURL
- func (o *GetAllNamespacesURL) Build() (*url.URL, error)
- func (o *GetAllNamespacesURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetAllNamespacesURL) Must(u *url.URL, err error) *url.URL
- func (o *GetAllNamespacesURL) SetBasePath(bp string)
- func (o *GetAllNamespacesURL) String() string
- func (o *GetAllNamespacesURL) StringFull(scheme, host string) string
- func (o *GetAllNamespacesURL) WithBasePath(bp string) *GetAllNamespacesURL
- type GetAllNamespacesUnauthorized
Constants ¶
const GetAllNamespacesInternalServerErrorCode int = 500
GetAllNamespacesInternalServerErrorCode is the HTTP code returned for type GetAllNamespacesInternalServerError
const GetAllNamespacesOKCode int = 200
GetAllNamespacesOKCode is the HTTP code returned for type GetAllNamespacesOK
GetAllNamespacesUnauthorizedCode is the HTTP code returned for type GetAllNamespacesUnauthorized
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type GetAllNamespaces ¶
type GetAllNamespaces struct {
Context *middleware.Context
Handler GetAllNamespacesHandler
}
GetAllNamespaces swagger:route GET /namespaces Namespaces getAllNamespaces
Get all namespaces for authenticated user ¶
Get all namespaces for authenticated user
func NewGetAllNamespaces ¶
func NewGetAllNamespaces(ctx *middleware.Context, handler GetAllNamespacesHandler) *GetAllNamespaces
NewGetAllNamespaces creates a new http.Handler for the get all namespaces operation
func (*GetAllNamespaces) ServeHTTP ¶
func (o *GetAllNamespaces) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetAllNamespacesHandler ¶
type GetAllNamespacesHandler interface {
Handle(GetAllNamespacesParams, *models.Principal) middleware.Responder
}
GetAllNamespacesHandler interface for that can handle valid get all namespaces params
type GetAllNamespacesHandlerFunc ¶
type GetAllNamespacesHandlerFunc func(GetAllNamespacesParams, *models.Principal) middleware.Responder
GetAllNamespacesHandlerFunc turns a function with the right signature into a get all namespaces handler
func (GetAllNamespacesHandlerFunc) Handle ¶
func (fn GetAllNamespacesHandlerFunc) Handle(params GetAllNamespacesParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type GetAllNamespacesInternalServerError ¶
type GetAllNamespacesInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetAllNamespacesInternalServerError Server error
swagger:response getAllNamespacesInternalServerError
func NewGetAllNamespacesInternalServerError ¶
func NewGetAllNamespacesInternalServerError() *GetAllNamespacesInternalServerError
NewGetAllNamespacesInternalServerError creates GetAllNamespacesInternalServerError with default headers values
func (*GetAllNamespacesInternalServerError) SetPayload ¶
func (o *GetAllNamespacesInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get all namespaces internal server error response
func (*GetAllNamespacesInternalServerError) WithPayload ¶
func (o *GetAllNamespacesInternalServerError) WithPayload(payload *models.ErrorMessage) *GetAllNamespacesInternalServerError
WithPayload adds the payload to the get all namespaces internal server error response
func (*GetAllNamespacesInternalServerError) WriteResponse ¶
func (o *GetAllNamespacesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllNamespacesOK ¶
type GetAllNamespacesOK struct {
/*
In: Body
*/
Payload []string `json:"body,omitempty"`
}
GetAllNamespacesOK Array of namespaces
swagger:response getAllNamespacesOK
func NewGetAllNamespacesOK ¶
func NewGetAllNamespacesOK() *GetAllNamespacesOK
NewGetAllNamespacesOK creates GetAllNamespacesOK with default headers values
func (*GetAllNamespacesOK) SetPayload ¶
func (o *GetAllNamespacesOK) SetPayload(payload []string)
SetPayload sets the payload to the get all namespaces o k response
func (*GetAllNamespacesOK) WithPayload ¶
func (o *GetAllNamespacesOK) WithPayload(payload []string) *GetAllNamespacesOK
WithPayload adds the payload to the get all namespaces o k response
func (*GetAllNamespacesOK) WriteResponse ¶
func (o *GetAllNamespacesOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllNamespacesParams ¶
GetAllNamespacesParams contains all the bound params for the get all namespaces operation typically these are obtained from a http.Request
swagger:parameters getAllNamespaces
func NewGetAllNamespacesParams ¶
func NewGetAllNamespacesParams() GetAllNamespacesParams
NewGetAllNamespacesParams creates a new GetAllNamespacesParams object no default values defined in spec.
func (*GetAllNamespacesParams) BindRequest ¶
func (o *GetAllNamespacesParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetAllNamespacesParams() beforehand.
type GetAllNamespacesURL ¶
type GetAllNamespacesURL struct {
// contains filtered or unexported fields
}
GetAllNamespacesURL generates an URL for the get all namespaces operation
func (*GetAllNamespacesURL) Build ¶
func (o *GetAllNamespacesURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetAllNamespacesURL) BuildFull ¶
func (o *GetAllNamespacesURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetAllNamespacesURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetAllNamespacesURL) SetBasePath ¶
func (o *GetAllNamespacesURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetAllNamespacesURL) String ¶
func (o *GetAllNamespacesURL) String() string
String returns the string representation of the path with query string
func (*GetAllNamespacesURL) StringFull ¶
func (o *GetAllNamespacesURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetAllNamespacesURL) WithBasePath ¶
func (o *GetAllNamespacesURL) WithBasePath(bp string) *GetAllNamespacesURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetAllNamespacesUnauthorized ¶
type GetAllNamespacesUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetAllNamespacesUnauthorized Unauthorized request
swagger:response getAllNamespacesUnauthorized
func NewGetAllNamespacesUnauthorized ¶
func NewGetAllNamespacesUnauthorized() *GetAllNamespacesUnauthorized
NewGetAllNamespacesUnauthorized creates GetAllNamespacesUnauthorized with default headers values
func (*GetAllNamespacesUnauthorized) SetPayload ¶
func (o *GetAllNamespacesUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get all namespaces unauthorized response
func (*GetAllNamespacesUnauthorized) WithPayload ¶
func (o *GetAllNamespacesUnauthorized) WithPayload(payload *models.ErrorMessage) *GetAllNamespacesUnauthorized
WithPayload adds the payload to the get all namespaces unauthorized response
func (*GetAllNamespacesUnauthorized) WriteResponse ¶
func (o *GetAllNamespacesUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client